!function(e, a, t) {
    var i = {
        init: function() {
            i.basic(), i.gallery(), i.tabs(), i.scrollEffects(), i.carousel(), i.flipbox(), 
            i.primaryMenu(), i.stickySidebar();
        },
        carousel: function() {
            e(".owl-carousel").each(function(a) {
                var t = e(this), i = !!t.hasClass("owl-autoplay"), o = !!t.hasClass("owl-hover_pause"), s = !!t.hasClass("owl-loop"), n = !!t.hasClass("owl-nav"), l = !!t.hasClass("owl-dots"), r = !!t.hasClass("owl-auto_width"), c = !!t.hasClass("owl-auto_height"), h = {
                    autoplay: i,
                    autoplayTimeout: 5e3,
                    autoplayHoverPause: o,
                    stagePadding: 50,
                    loop: s,
                    margin: 20,
                    nav: n,
                    dots: l,
                    center: !!t.hasClass("owl-center"),
                    autoHeight: c,
                    autoWidth: r,
                    items: 1
                };
                t.data("owl-options") && (h = t.data("owl-options")), h = e.extend(h, {
                    navText: [ '<i class="material-icons">navigate_before</i>', '<i class="material-icons">navigate_next</i>' ]
                }), t.owlCarousel(h);
            });
        },
        tabs: function() {
            e(".vertical-tabs").each(function() {
                var a = e(this), t = a.find("ul.tabs").width();
                a.css({
                    "min-height": t
                });
            });
        },
        gallery: function() {
            var t = e(".hayya-gallery"), i = 1;
            t.each(function() {
                var t = e(this), o = t.data(), s = {
                    height: o.galleryHeight || 120,
                    rel: o.galleryRel || "hayya-gallery",
                    margins: o.galleryMargins || 0,
                    maxWidth: o.galleryMaxwidth || "90%",
                    maxHeight: o.galleryMaxheight || "90%",
                    transition: o.galleryTransition || "elastic",
                    lastRow: "nojustify",
                    opacity: .97,
                    current: ""
                }, n = {
                    rowHeight: s.height,
                    rel: s.rel + i,
                    margins: s.margins,
                    lastRow: s.lastRow
                }, l = {
                    maxWidth: s.maxWidth,
                    maxHeight: s.maxHeight,
                    transition: s.transition,
                    opacity: s.opacity,
                    current: s.current
                };
                t.justifiedGallery(n).on("jg.complete", function() {
                    t.find("a").colorbox(l);
                }), e(a).on("cbox_open", function() {
                    e(a.body).css("overflow", "hidden");
                }).on("cbox_closed", function() {
                    e(a.body).css("overflow", "");
                }), i++;
            });
        },
        scrollEffects: function() {
            e(".left-slide").each(function() {
                var a = new ScrollMagic.Controller({
                    globalSceneOptions: {
                        triggerHook: "onLeave"
                    }
                });
                new ScrollMagic.Scene({
                    triggerElement: this,
                    duration: 200,
                    reverse: !0,
                    offset: -1 * e(t).height()
                }).setTween(TweenLite.fromTo(this, .1, {
                    x: -300
                }, {
                    x: "100%",
                    ease: Linear.easeNone
                })).addTo(a).addIndicators();
            });
        },
        basic: function() {
            e(".input-field > select").material_select(), e("input#input_text, textarea#textarea1").characterCounter(), 
            e(".woocommerce_product_thumbnails").carousel(), e(".hayya-slider").slider(), e(".collapsible").collapsible(), 
            e(".carousel").carousel({
                autoplay: !0
            }), e("ul#more_tabs").tabs(), e(".gallery-carousel").carousel({
                padding: 100
            }), e("ul#more_tabs").click(function() {
                e(".carousel").carousel("next");
            });
        },
        flipbox: function() {
            var a = e(".flipbox-side1"), t = e(".flipbox-side2");
            if (a.length && t.length) {
                var i = "100px";
                i = a.height() > t.height() ? a.height() : t.height(), e(".flipbox").height(i);
            }
        },
        primaryMenu: function() {
            e(".hb_menu").each(function() {
                var a = e(this), t = e("body").hasClass("rtl") ? "left" : "right";
                a.find(".hb_menu-toggle").toggle(function() {
                    e(this).find(".fa").removeClass("fa-navicon").addClass("fa-times"), a.find(".page_item_has_children,.menu-item-has-children").append('<i class="fa fa-angle-' + t + '"></i>'), 
                    a.find(".hb_menuul").addClass("show-mobile-menu"), a.find(".page_item_has_children .fa, .menu-item-has-children .fa").toggle(function() {
                        e(this).parent().addClass("open-menu");
                    }, function() {
                        e(this).parent().removeClass("open-menu");
                    });
                }, function() {
                    e(this).find(".fa").removeClass("fa-times").addClass("fa-navicon"), a.find(".hb_menuul").removeClass("show-mobile-menu");
                });
            });
        },
        stickySidebar: function() {
            if (e("#sticky-sidebar-container").length && e(t).width() >= 601 && e("#left-content").outerHeight() >= e("#right-sidebar").outerHeight()) {
                var a = e("#sticky-sidebar-container"), i = e("#left-content"), o = e("#right-content"), s = a.position(), n = s.top, l = a.outerWidth(), r = a.outerHeight(), c = i.outerHeight(), h = i.position(), u = o.outerHeight() + 50;
                c >= u && e(t).on("scroll", function(t) {
                    var i = e(this).scrollTop();
                    if (i >= n) {
                        a.addClass("sidebar-sticky"), a.css("left", s.left), a.css("width", l);
                        var o = c + h.top - 3 * r, u = (o - i) / 3;
                        n >= o && (u = (o = c + h.top - r) - i), i >= o ? a.css("top", u) : a.css("top", 0);
                    } else a.removeClass("sidebar-sticky");
                });
            }
        }
    };
    i.init(), e(a).ready(function() {});
}(jQuery, document, window);